//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <INIFiles.hpp>
#include <AppEvnts.hpp>
#include <Classes.hpp>
#include <Controls.hpp>
#include <Menus.hpp>
#include <StdCtrls.hpp>
#include <memory>
#include <clipbrd.hpp>
//---------------------------------------------------------------------------
class TformMain : public TForm
{
__published:	// IDE-managed Components
    TMainMenu *MainMenu1;
    TComboBox *cbClass;
    TListBox *ListBox1;
    TApplicationEvents *ApplicationEvents1;
    TPopupMenu *PopupMenu1;
    TMenuItem *mmAdd;
    TMenuItem *mmIncSpace;
    TMenuItem *mmDecSpace;
    TMenuItem *mmReset;
    TMenuItem *mmWeb;
    TMenuItem *mmEmail;
    TMenuItem *mmHelp;
    TMenuItem *N1;
    TMenuItem *N2;
    TMenuItem *X1;
    TMenuItem *N3;
    TMenuItem *N4;
    TMenuItem *N5;
    TPopupMenu *PopupMenu2;
    TMenuItem *A1;
    TMenuItem *N6;
    TMenuItem *I1;
    TMenuItem *D1;
    TMenuItem *R1;
    TMenuItem *N7;
    TMenuItem *E1;
    TMenuItem *X2;
    void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall cbClassChange(TObject *Sender);
    void __fastcall ListBox1DblClick(TObject *Sender);
    void __fastcall ListBox1KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall ApplicationEvents1Idle(TObject *Sender, bool &Done);
    void __fastcall ListBox1DrawItem(TWinControl *Control, int Index,
          TRect &Rect, TOwnerDrawState State);
    void __fastcall mmWebClick(TObject *Sender);
    void __fastcall mmAddClick(TObject *Sender);
    void __fastcall N1Click(TObject *Sender);
    void __fastcall X1Click(TObject *Sender);
    void __fastcall mmDecSpaceClick(TObject *Sender);
    void __fastcall mmIncSpaceClick(TObject *Sender);
    void __fastcall mmEmailClick(TObject *Sender);
    void __fastcall mmResetClick(TObject *Sender);
    void __fastcall mmHelpClick(TObject *Sender);
    void __fastcall ListBox1KeyPress(TObject *Sender, char &Key);
    void __fastcall ApplicationEvents1Restore(TObject *Sender);
    void __fastcall ApplicationEvents1Minimize(TObject *Sender);
    void __fastcall E1Click(TObject *Sender);
    void __fastcall X2Click(TObject *Sender);
private:	// User declarations
    HWND LastEditHandle;
    AnsiString PrevCls;
    bool Modified;
public:		// User declarations
    std::auto_ptr<TIniFile> iniString;
    std::auto_ptr<TIniFile> iniSetting;
    std::auto_ptr<TStringList> sl;
    void __fastcall CreateMyIcon(void);
    void __fastcall MyIconMsg(TMessage &Msg);
    BEGIN_MESSAGE_MAP
        VCL_MESSAGE_HANDLER(WM_USER+101, TMessage, MyIconMsg);
    END_MESSAGE_MAP(TForm)
    __fastcall TformMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformMain *formMain;
//---------------------------------------------------------------------------
#endif
