//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "Unit2.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TformAddString *formAddString;
//---------------------------------------------------------------------------
__fastcall TformAddString::TformAddString(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TformAddString::FormCreate(TObject *Sender)
{
    cbClass->Items->AddStrings( formMain->cbClass->Items );
    cbClass->ItemIndex = formMain->cbClass->ItemIndex;  // O]oformMain@
}
//---------------------------------------------------------------------------
void __fastcall TformAddString::FormClose(TObject *Sender,
      TCloseAction &Action)
{
    Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TformAddString::FormKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
    if( Key == 27 )
        Close();
}
//---------------------------------------------------------------------------
void __fastcall TformAddString::cbClassClick(TObject *Sender)
{
    cbClass->SelectAll() ;
}
//---------------------------------------------------------------------------
void __fastcall TformAddString::btnImportFUSClick(TObject *Sender)
{
    if( OpenDialog1->Execute() )
    {
//        TStringList *sl = new TStringList;
        cbClass->Enabled = false;
        memoString->Enabled = false;
        for( int i = 0; i < OpenDialog1->Files->Count; i++ )
            memoString->Lines->Add(OpenDialog1->Files->Strings[i]);
/*        {
            sl->LoadFromFile( OpenDialog1->Files->Strings[i] );
            memoString->Lines->AddStrings( sl );

        }
        delete sl; */
    }
}
//---------------------------------------------------------------------------
void __fastcall TformAddString::btnClearClick(TObject *Sender)
{
    memoString->Clear();
    memoString->Enabled = true;
    btnImportFUS->Enabled = true;
    btnClear->Enabled = false;
    btnAdd->Enabled = false;
    cbClass->Enabled = true;
}
//---------------------------------------------------------------------------
void __fastcall TformAddString::btnAddClick(TObject *Sender)
{
    AddStringToFormMain();
    Close();
}
//---------------------------------------------------------------------------
void __fastcall TformAddString::AddStringToFormMain(void)
{
    TStringList *sl = new TStringList;
    int i, j, k;
    if( cbClass->Enabled )  // YOnsWqr
    {
        if( cbClass->Items->IndexOf(cbClass->Text) == -1 )  // YOs
            formMain->cbClass->Items->Add(cbClass->Text);	// NsW

        for( i = 0; i < memoString->Lines->Count; i++ )
            if( memoString->Lines->Strings[i].Trim() != "" )// YOťզC
                formMain->iniString->WriteString(cbClass->Text, memoString->Lines->Strings[i], "");
    }
    else
    {
/*        String szTemp = ExtractFilePath(Application->ExeName) + "temp.ini";
        memoString->Lines->SaveToFile(szTemp);
        TIniFile *temp = new TIniFile(szTemp);  */
        TStringList *sl2 = new TStringList;
        for( k = 0; k < memoString->Lines->Count; k++ )
        {
            TIniFile *temp = new TIniFile(memoString->Lines->Strings[k]);
            temp->ReadSections( cbClass->Items );   // ҦŪ cbClass 
            for( i = 0; i < cbClass->Items->Count; i++ )
            {
                cbClass->ItemIndex = i;
                temp->ReadSectionValues(cbClass->Text, sl2);    // ثerŪ sl2
                if( formMain->cbClass->Items->IndexOf(cbClass->Text) == -1 )    // YOs
                {
                    formMain->cbClass->Items->Add(cbClass->Text);
                    for( j = 0; j < sl2->Count; j++ )   // NgJ FUS.ini
                        formMain->iniString->WriteString(cbClass->Text,
                            sl2->Strings[j].SubString(0, sl2->Strings[j].Length()-1), "");
                }
                else    // _hNnUӤqXӤ
                {
                    formMain->iniString->ReadSectionValues(cbClass->Text, sl);
                    for( j = 0; j < sl2->Count; j++ )
                        if( sl->IndexOf(sl2->Strings[j]) == -1 )
                            formMain->iniString->WriteString(cbClass->Text,
                                sl2->Strings[j].SubString(0, sl2->Strings[j].Length()-1), "");
                }
            }
            delete temp;
        }
        delete sl2;
//        delete temp;
//        DeleteFile(szTemp);
    }
    formMain->cbClass->ItemIndex = formMain->cbClass->Items->IndexOf(cbClass->Text);
    formMain->iniString->ReadSectionValues(cbClass->Text, sl);
    for( i = 0; i < sl->Count; i++ )
        sl->Strings[i] = sl->Strings[i].SubString(0, sl->Strings[i].Length()-1);
    formMain->ListBox1->Items = sl;
    delete sl;
}
//---------------------------------------------------------------------------
void __fastcall TformAddString::memoStringChange(TObject *Sender)
{
    btnClear->Enabled = memoString->Lines->Count;
    btnAdd->Enabled = memoString->Lines->Count;
}
//---------------------------------------------------------------------------


